"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e211c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21300>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21260>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e213a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21440>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e214e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21580>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21620>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e216c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21760>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21800>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e218a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21940>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e219e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21a80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21b20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21bc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21c60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21d00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21da0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21e40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21ee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e21f80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22020>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e220c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22160>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22200>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e222a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22340>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e223e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22480>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22520>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e225c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22660>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22700>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e227a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22840>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e228e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22980>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22a20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22ac0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22b60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22c00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22ca0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22d40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22de0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22e80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22f20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e22fc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23060>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23100>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e231a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23240>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e232e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23380>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23420>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e234c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23560>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23600>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e236a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23740>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e237e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23880>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23920>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e239c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23a60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23b00>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23ba0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23c40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23ce0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23d80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23e20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23ec0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e23f60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c040>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c0e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c180>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c220>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c2c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c400>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c360>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c4a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c540>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c5e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92e3c680>)]
name: str = 'fr_HOCCN'
